Skip to content

Revoke an access token

Request

Revokes an access token issued to the authenticated client. The operation is idempotent and returns 200 even if the token is already expired or revoked.

Security
clientSecretBasic
Bodyrequired
tokenstringrequired

Access token to inspect or revoke.

Example:"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.example.signature"
curl -i -X POST https://dev-api.wisedocs.ai/oauth/revoke \
  -u '<client_id>:<client_secret>' \
  -d token='<access_token>'

Responses

Revocation accepted.

Headers
Cache-Controlstring
Example:"no-store"
Pragmastring
Example:"no-cache"
Bodyapplication/json
Response
{}